package seminarjeremy;

public class Seminar {
	String mName;
	double mMiete;
	Dozent mDozent;
	int mAnzahl;
	Teilnehmer[] mTeilnehmerliste;
	int mNextIndex;
	double mBeitrag;
	
	public Seminar(int aAnzahl,String aName)
	{
		mName=aName;
		mAnzahl=aAnzahl;
		mTeilnehmerliste=new Teilnehmer[mAnzahl];
		mNextIndex=0;
	}
	
	
	public boolean teilnehmerEintragen(Teilnehmer aTeilnehmer)
	{
		if (mNextIndex<mAnzahl)
		{
			mTeilnehmerliste[mNextIndex]=aTeilnehmer;
			mNextIndex=mNextIndex+1;
			return true;
		}else
		{
			return false;
		}
	}
	
	public double gewinnErmitteln()
	{
		if (mDozent!=null)
		{
			return mNextIndex*mBeitrag-mMiete-mDozent.mVergtung;
		}else
		{
			return 0;
		}
	}
	
	public void teilnehmerAusgeben()
	{		
//		for (int i=0;i<mNextIndex;i++)
//		{
//			Teilnehmer teilnehmer=mTeilnehmerliste[i];
//			System.out.println(teilnehmer.mName);
//		}
		
		for (Teilnehmer teilnehmer:mTeilnehmerliste)
		{
			if (teilnehmer!=null)
			{
				System.out.println(teilnehmer.mName);
			}
		}
	}
	
	

}
